package Concordance;
/**
* @author Jonathan Field jof2@aber.ac.uk 073717922
* @version 1.00
* 
* The Conversion Class allows the removePunctuation method to be called globally from anywhere in the program,
* the purpose of this class is to remove all non letter characters from a string and replace them with nothing.
* 
*
*/

public class Conversion {

	/**
	 * 
	 * @param unconverted
	 * Takes a String to have its Punctuation removed
	 * @return
	 * Returns a String that has no Punctuation e.g. "hel-l-o" would generate the return String "hello"
	 */
	public String removePuncuation(String unconverted) {

		String converted = unconverted.replaceAll("\\W", "");

		return converted;
	}
	
	/**
	 * Converts first letter of a String to lower case but performance is negated too much on larger text files, so not used as default.
	 * @param toBeCapitalised 
	 * A String requiring its first letter to be converted to Upper Case
	 * @return
	 */
	public String toUpperCaseFirstLetter(String toBeCapitalised){
		
		char[] lowerCaseArray = toBeCapitalised.toCharArray();
		
				lowerCaseArray[0] = Character.toUpperCase(lowerCaseArray[0]);
				
					String converted = new String(lowerCaseArray);
		
		return converted;
		
		
		
		
	}

}
