package GUI;

import java.util.ArrayList;

import javax.swing.ListModel;
import javax.swing.event.ListDataListener;

import Concordance.Conversion;
import Concordance.FileInputReader;

/**
 * This class provides a Custom Model to display a JList that is created dynamically
 * 
 * @author Jonathan Field jof2@aber.ac.uk 073717922
 * @version 1.00
 *
 */
public class CustomModel implements ListModel {

	private FileInputReader fileReader;
	private ArrayList<String> sortedList;
	

	public CustomModel(FileInputReader fileReader) {

		this.fileReader = fileReader;
		this.sortedList = fileReader.returnList();
		
	}

	public void setFileInputReader(FileInputReader fileReader) {

		this.fileReader = fileReader;

	}

	@Override
	public void addListDataListener(ListDataListener l) {

	}

	@Override
	public String getElementAt(int i) {
		this.sortedList = this.fileReader.returnList();

		return this.sortedList.get(i);
	}

	@Override
	public int getSize() {

		return this.sortedList.size();
	}

	@Override
	public void removeListDataListener(ListDataListener e) {

	}

}
